# Copyright (c) 2012 David Sugar, Tycho Softworks.
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without
# modifications, as long as this notice is preserved.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

Name: cape-devtools
Summary: Cape Development Tools
Version: 0.7.0
Release: 0%{?dist}
License: GPLv3+
URL: http://www.gnutelephony.org
Group: Development/Tools
Source: http://dev.gnutelephony.org/dist/tarballs/cape-devtools-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: ucommon-devel >= 6.0.0
BuildRequires: cmake pkgconfig
Requires: dpkg-devel
Requires: redhat-lsb-core

%description
Some basic tools I am using in new development.

%prep
%setup -q

%build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
      -DCMAKE_VERBOSE_MAKEFILE=TRUE \
	  -DCMAKE_BUILD_TYPE=RELEASE \
      -DCMAKE_CXX_FLAGS_RELEASE:STRING="$RPM_OPT_FLAGS" \
	  -DINSTALL_BINDIR=%{_bindir} \
	  -DINSTALL_SBINDIR=%{_sbindir} \
	  -DINSTALL_DATADIR=%{_datadir} \
	  -DINSTALL_MANDIR=%{_mandir}

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__rm} -rf %{buildroot}%{_libdir}/*.la

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README COPYING ChangeLog
%attr(04755,root,root) %{_bindir}/cape-chroot
%attr(0755,root,root) %{_bindir}/cape-archive
%attr(0755,root,root) %{_bindir}/cape-binary
%attr(0755,root,root) %{_bindir}/cape-changes
%attr(04755,root,root) %{_bindir}/cape-rehome
%attr(0755,root,root) %{_bindir}/cape-source
%attr(0755,root,root) %{_bindir}/cape-list
%attr(0755,root,root) %{_bindir}/deb-backport
%{_mandir}/man1/cape-chroot.*
%{_mandir}/man1/cape-archive.*
%{_mandir}/man1/cape-binary.*
%{_mandir}/man1/cape-changes.*
%{_mandir}/man1/cape-rehome.*
%{_mandir}/man1/cape-source.*
%{_mandir}/man1/cape-list.*
%{_mandir}/man1/deb-backport.*

%changelog

